#!/bin/sh
#
# mysqld.service - mysqld(1) service file
#

case $1 in
start)
	if [ ! -d /var/lib/mysql/mysql ]; then
	  /usr/bin/mysql_install_db 2>/dev/null >/dev/null
	fi
	chown -R mysql.mysql /var/lib/mysql
	chmod 0755 /var/lib/mysql
	/usr/bin/mysqld_safe --defaults-file=/etc/my.cnf >/dev/null 2>/dev/null &
	;;
stop)
	kill `cat /var/run/mysql/mysqld.pid` >/dev/null 2>/dev/null
	rm -f /var/lib/mysql/mysql.sock
	;;
*)
	echo "usage: $0 start|stop"
esac

# EOF
